<?php
/**
 * Created by PhpStorm.
 * User: Patrik
 * Date: 22.11.2018
 * Time: 18:15
 */

namespace App\Presenters;

use Nette;
use Nette\Application\UI\Form;

class SignPresenter extends Nette\Application\UI\Presenter
{
    protected function createComponentSignInForm()
    {
        $form = new Form;
        $form->addText('mail', 'Mail:')
        ->setRequired('Fill mail.');

        $form->addPassword('password', 'Password:')
            ->setRequired('Fill password.');

        $form->addSubmit('send', 'Login');

        $form->onSuccess[] = [$this, 'signInFormSucceeded'];
        return $form;
    }

    public function signInFormSucceeded(Form $form, \stdClass $values)
    {
        //$user->setAuthenticator($this->context->getService('authenticator'));

        try {
            $this->getUser()->login($values->mail, $values->password);
            $this->redirect('Homepage:');

        } catch (Nette\Security\AuthenticationException $e) {
            $form->addError('Wrong mail or password.');
        }
    }

    public function actionOut()
    {
        $this->session->destroy();
        $this->getUser()->logout();
        $this->flashMessage('Success log out.');
        $this->redirect('Homepage:');
    }
}