<?php
/**
 * Created by PhpStorm.
 * User: Patrik
 * Date: 10.12.2018
 * Time: 19:45
 */
namespace App\Presenters;

use Nette;
use Nette\Application\UI\Form;

class UserPresenter extends Nette\Application\UI\Presenter
{
    private $database;

    public function __construct(Nette\Database\Context $database) {
        $this->database = $database;
    }

    public function renderShow($id) {        
        $user = $this->database->table('users')->get($id);
        $this->template->u = $user;        
    }

    protected function createComponentUserForm()
    {
        $form = new Form;
        $form->addText('name', 'Name:')
            ->setRequired();
        $form->addSelect('sex', 'Sex:', [
            'male' => 'Male',
            'female' => 'Female',
        ]);
        $form->addText('city', 'City:')
            ->setRequired();
        $form->addText('street', 'Street:')
            ->setRequired();

        $form->addSubmit('send', 'Save');
        $form->onSuccess[] = [$this, 'userFormSucceeded'];

        return $form;
    }

    public function actionEdit($id)
    {
        if ($this->getUser()->id == $id) {
            $user = $this->database->table('users')->get($id);
            if (!$id) {
                $this->error('User do not exist');
            }
            $this['userForm']->setDefaults($user->toArray());
        } else {
            $this->flashMessage('You do not have permission.', 'danger');
            $this->redirect('Homepage:');
        }        
    }

    public function userFormSucceeded(Form $form, \stdClass $values)
    {
        $start = microtime(true);
        $id = $this->getParameter('id');

        $user = $this->database->table('users')->get($id);
        $user->update($values);

        $time = microtime(true) - $start;
        $this->flashMessage('Account was updated.', 'success');
        $this->redirect('show', $user->id);
    }
}